squid_radius_auth(8)

NAME
squid_radius_auth - Squid RADIUS authentication helper

SYNOPSIS
squid_radius_auth -f configfile
squid_radius_auth -h "server" [-p port] [-i identifier] -w secret

DESCRIPTION
This helper allows Squid to connect to a RADIUS server to validate the user name and password of Basic HTTP authentication.

-f configfile
    Specifies the path to a configuration file. See the CONFIGURATION section for details.

-h server
    Alternative method of specifying the server to connect to

-p port
    Specify another server port where the RADIUS server listens for requests if different from the default RADIUS port. Normally not specified.

-i identifier
    Unique identifier identifying this Squid proxy to the RADIUS server. If not specified the IP address is used as to identify the proxy.

-w secret
    Alternative method of specifying the shared secret. Using the configuration file is generally more secure and recommended.

-t timeout
    RADIUS request timeout. Default 10 seconds.

CONFIGURATION
The configuration specifies how the helper connects to RADIUS. The file contains a list of directives (one per line). Lines beginning with a # is ignored.

server radiusserver
    specifies the name or address of the RADIUS server to connect to.

secret somesecretstring
    specifies the shared RADIUS secret.

identifier nameofserver
    specifies what the proxy should identify itsels as to the RADIUS server. This directive is optional.

port portnumber
    Specifies the port number or service name where the helper should connect.

AUTHOR
This manual page was written by Henrik Nordstrom <hno@squid-cache.org>

squid_radius_auth is written by Marc van Selm <selm@cistron.nl> with contributions from Henrik Nordstrom <hno@squid-cache.org> and many others

QUESTIONS
Any questions on usage can be sent to Squid Users <squid-users@squid-cache.org>, or to your favorite RADIUS list/friend if the question is more related to RADIUS than Squid.

REPORTING BUGS
Report bugs or bug-fixes to Squid Bugs <squid-bugs@squid-cache.org> or ideas for new improvements to Squid Developers <squid-dev@squid-cache.org>

SEE ALSO
RFC2058 - Remote Authentication Dial In User Service (RADIUS)